Index: sys/vm/uma_core.c
===================================================================
--- sys/vm/uma_core.c	(revision 328955)
+++ sys/vm/uma_core.c	(working copy)
@@ -1800,6 +1800,7 @@ uma_startup_count(int zones)
 	/* Memory for the zone of zones and zone of kegs. */
 	pages = howmany(roundup(zsize, CACHE_LINE_SIZE) * 2 +
 	    roundup(ksize, CACHE_LINE_SIZE), PAGE_SIZE);
+	printf("boot_pages master %d\n", pages);
 
 	zones += UMA_BOOT_ZONES;
 
@@ -1808,9 +1809,11 @@ uma_startup_count(int zones)
 		pages += zones * howmany(zsize, UMA_SLAB_SIZE);
 	else
 		pages += howmany(zones, UMA_SLAB_SIZE / zsize);
+	printf("boot_pages zones %d\n", pages);
 
 	/* ... and their kegs. */
 	pages += howmany(zones, UMA_SLAB_SIZE / ksize);
+	printf("boot_pages kegs %d\n", pages);
 
 	/*
 	 * Take conservative approach that every zone
@@ -1818,6 +1821,7 @@ uma_startup_count(int zones)
 	 */
 	pages += howmany(zones, UMA_SLAB_SIZE /
 	    (sizeof(struct slabhead *) * UMA_HASH_SIZE_INIT));
+	printf("boot_pages hash %d\n", pages);
 
 	return (pages);
 }
Index: sys/vm/vm_page.c
===================================================================
--- sys/vm/vm_page.c	(revision 328955)
+++ sys/vm/vm_page.c	(working copy)
@@ -518,8 +518,10 @@ vm_page_startup(vm_offset_t vaddr)
 
 	/* vmem_startup() calls uma_prealloc(). */
 	boot_pages += vmem_startup_count();
+	printf("boot_pages vmem %s\n", boot_pages);
 	/* vm_map_startup() calls uma_prealloc(). */
 	boot_pages += howmany(MAX_KMAP, UMA_SLAB_SIZE / sizeof(struct vm_map));
+	printf("boot_pages kmap %s\n", boot_pages);
 
 	/*
 	 * Before going fully functional kmem_init() does allocation
